@font-face {
  font-family: 'timezone';
  src: url('/css/fonts/HALTimezone-Regular.woff2');
}

@font-face {
  font-family: 'timezone-i';
  src: url('/css/fonts/HALTimezone-RegularItalic.woff2');
}

@font-face {
  font-family: 'geita-r';
  src: url('/css/fonts/GeitaSN-Regular.woff2');
}

html,
body {
  width: 100%;
  height: 100%;
  margin: 0;
  font-family: 'timezone';
  font-size: 1rem;
  line-height: 1.3rem;
  overflow: hidden;
  background-color: rgb(255, 255, 255);
}

#menu{
  padding-top: 1vh;
  background: linear-gradient(180deg, rgba(255, 255, 255, 1) 43.23%, rgba(242, 172, 60, .2) 100%);
}

#menu>h1{
  font-family: 'geita-r';
  font-size: 1rem;
  padding-left: 1vw;
  padding-right: 1vw;
  /* opacity: 0.3;  */
  transition: opacity 0.3s ease;
}

#menu>h1:hover {
  /* opacity: 1;  */
  /* color: rgb(242, 172, 60); */
  font-family: "timezone-i";
}

.paged-preview-frame{
  display: none;
  width: 100%;
  height: 100%;
  position: sticky;
  top : 0px;
  left: 0px;
  /* background-color: rgb(227, 49, 49);  */
}

#accueil {
  scroll-behavior: smooth;
  width: 100vw;
  height: 100vh;
  display: flex;
  position: fixed;
  flex-direction: column;
  flex-wrap: wrap;
  background-color: white;
  top: 0;
  transition: .5s;
  /* align-content: space-between; */
  font-size: 1.7rem;
  color: #333;
  font-size: 2em;
} 

.et{
  font-family: 'timezone-i';
  color: rgb(242, 172, 60);
}

#rectangle{
  display: block;
  flex-direction: row; 
  position: absolute;
  top:50%;
  left: 50%;
  width: 70%;
  transform: translate(-50%, -50%);
  /* margin-bottom: -10vh; */
  justify-content: center; 
  align-items: center;
} 

#c-img{
  width: 100%;
  height: auto;
}

#title-a{
  text-align: left; 
  padding-left: 5vw;
  padding-top: 2vh;
  /* margin-bottom: 10vh; */
}

#title-b{
  position: absolute;
  display: block;
  bottom: 0;
  right: 0;
  text-align: right; 
  padding-bottom: 7vh;
  padding-right: 6vw;
}

/* !!!!!!!!!!!!   ICI COMMENCE LE CODE   !!!!!!!!!!!! */

.container {
  display: flex;
}

.column {
  height: 100vh;
  overflow-y: auto;
  border-left: 1px solid rgb(242, 172, 60);
}

.column:first-child{
  flex-basis: 16.67%; /* Définir la largeur initiale de chaque colonne à 1/6 */
  min-width: 16.67%; /* Définir la largeur maximale de chaque colonne à 1/6 */
}

#selection {
  flex-basis: 0%;
  transition: flex-basis 0.5s ease-in-out;
  max-width: 16.67%;
  background-color: rgb(242, 172, 60);
}

/* #chapitres{
  background: linear-gradient(180deg, rgba(255, 255, 255, 1) 43.23%, rgba(242, 172, 60, .2) 100%);
} */

.selected-typography{
  font-family: 'timezone-i';
  color: rgb(242, 172, 60);
}

/* .column:nth-child(2){
  flex-basis: 16.67%;
} */

.column:nth-child(3) {
  flex-grow: 2;
  /* La troisième colonne occupe le double de l'espace des autres colonnes */
}



/**
BT print
*/
.bt-container{
  display: flex;
  align-items: center;
  justify-content: space-around;
}

.interfaceBt{
  width: 100px;
  height: 50px;
  background-color: rgba(255, 255, 255, 0.8);
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 15px;
  color: rgb(242, 172, 60);
  font-size: 14px;
  font-family: sans-serif;
  margin: 10px;
}

#previewPrintBt {
  bottom: 60px;
}

#printBt {
  bottom: 0px;
}

@media screen and (max-width: 768px) {
  .container {
    flex-direction: column;
  }

  .column {
    height: auto;/* Réinitialiser la hauteur à auto pour permettre aux colonnes de s'adapter au contenu */
    max-width: 100%;/* La largeur maximale des colonnes est la largeur de la fenêtre */
  }
}
